import type { Language, LanguageDescription } from '@codemirror/language';
declare type RunModeCallback = (text: string, style: string | null, from: number, to: number) => void;
declare function runmode(textContent: string, language: Language, callback: RunModeCallback): void;
export declare function findLanguage(langName: string): LanguageDescription | null;
export declare function getLanguage(langName: string): Promise<Language | null>;
export default runmode;
